-module(record3).
-export([fun1/1,fun2/1,fun3/2]).
-include("record3.hrl").

fun1({A, B})->
   _R=#record{op1 = A, op2 = B, res = A + B}.

fun2({Funct, A, B})->
   _R=#record{op1 = A, res = Funct(A,B)}.

fun3(F, Data) ->
   F(Data).
